Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 5345)
+++ trunk/language/de_DE/admin.lang.php	(revision 5346)
@@ -61,5 +61,5 @@
 $lang['Associated'] = 'ist verlinkt';
 $lang['Association to categories'] = 'Ist in folgende Kategorien verlinkt';
-$lang['Batch management'] = 'Batch management';
+$lang['Batch management'] = 'Stapelverarbeitung';
 $lang['Caddie management'] = 'Sammelkorb verwalten';
 $lang['Caddie'] = 'Sammelkorb';
@@ -95,5 +95,5 @@
 $lang['Empty caddie'] = 'leere Sammelkorb';
 $lang['Environment'] = 'Server-Daten';
-$lang['Form'] = 'Form';
+$lang['Form'] = 'Formular';
 $lang['Gallery URL'] = 'genaue URL zur Gallerie';
 $lang['Gallery description'] = 'Galeriebeschreibung';
@@ -264,5 +264,5 @@
 $lang['To send ?'] = 'Info-Mail schicken?';
 $lang['Last send'] = 'Letzter Versand';
-$lang['email'] = 'email';
+$lang['email'] = 'E-mail';
 $lang['User'] = 'Benutzer';
 $lang['Complementary mail content'] = 'Detaillierter Inhalt der Beachrichtigungsmail';
@@ -300,5 +300,5 @@
 $lang['Unsubscribe from notification by mail'] = 'Austragen zur E-Mailbenachrichtigung';
 $lang['Parameter'] = 'Parameter';
-$lang['Continue processing treatment'] = 'Continue processing treatment';
+$lang['Continue processing treatment'] = 'Prozess fortsetzen';
 $lang['Complementary mail content'] = 'Zusätzlicher Inhalt der E-Mail';
 $lang['Add detailed content'] = 'Sende detallierten Inhalt';
@@ -547,5 +547,5 @@
 $lang['Level 2'] = 'Freunde';
 $lang['Level 4'] = 'Familie';
-$lang['Level 8'] = 'Admins';
+$lang['Level 8'] = 'Administratoren';
 $lang['Reinitialize check integrity'] = 'prüfe erneut die Integrität';
 $lang['Check all'] = 'Alle auswählen';
@@ -652,3 +652,99 @@
 $lang['Purge search history'] = 'Lösche die Such-Historie';
 $lang['Hide'] = 'Verstecken';
+$lang['Categories descending alphanumerically ordered'] = 'Kategorien absteigend alphabetisch geordnet ';
+$lang['Categories sorted in descending order ⇑'] = 'Kategorien sortiert in absteigender Reihenfolge ⇑';
+$lang['Processing treatment.'] = 'Arbeite daran.';
+$lang['Please wait...'] = 'Bitte warten...';
+$lang['Password is missing. Please enter the password.'] = 'Das Kennwort fehlt. Bitte geben sie ihr Kennwort ein.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Das Kennwort zum überprüfen fehlt. Bitte geben Sie ihr gewähltes Kennwort noch einmal ein.';
+$lang['Password confirmation error.'] = 'Fehler bei der Überprüfung des Kennwortes.';
+$lang['Allow users to edit theirs owns comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu editieren';
+$lang['Allow users to delete theirs owns comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu löschen';
+$lang['Email administrators when a comment is modified'] = 'Schicke den Administratoren eine E-mail wenn ein Kommentar verändert wurde';
+$lang['Email administrators when a comment is deleted'] = 'Schicke den Administratoren eine E-mail wenn ein Kommentar gelöscht wurde';
+$lang['Cannot delete the old permalink !'] = 'Kann den alten Permalink nicht löschen !';
+$lang['Hit'] = 'Treffer';
+$lang['Tools'] = 'Werkzeuge';
+$lang['Photos'] = 'Fotos';
+$lang['Themes'] = 'Themen';
+$lang['Instructions to use Piwigo'] = 'Instruktionen um die Piwigo zu benutzen';
+$lang['Order alphanumerically'] = 'Ordne alphabetisch';
+$lang['Order alphanumerically reverse'] = 'Ordne rückwärts alphabetisch';
+$lang['Installed Themes'] = 'Installierte Themen';
+$lang['Add New Theme'] = 'Füge ein neues Thema hinzu';
+$lang['Forbid this theme to users'] = 'Verbieten Sie dieses Thema den Benutzern';
+$lang['Set as default theme for unregistered and new users'] = 'Setzte als Standartthema für unregistrierte und neue Benutzer';
+$lang['unknown'] = 'unbekannt';
+$lang['Upload Form'] = 'Upload Formular';
+$lang['Upload Photos'] = 'Lade Fotos hoch';
+$lang['Drop into category'] = 'Ziehe es in die Kategorie';
+$lang['+ Add an upload box'] = '+ eine weitere Uploadbox';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Erstelle den  "%s" Ordner im Hauptordner (root) deiner Piwigoinstallation';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Gebe Schreibrechte (chmod 777) dem Ordner "%s" im Hauptordner (root) deiner Piwigoinstallation';
+$lang['existing category'] = 'existierende Kategorie';
+$lang['create a new category'] = 'erstelle eine neue Kategorie';
+$lang['Category name'] = 'Kategoriename';
+$lang['Category "%s" has been added'] = 'Kategorie "%s" wurde hinzugefügt';
+$lang['Uploaded Photos'] = 'Lade Fotos hoch';
+$lang['%d photos uploaded'] = '%d Fotos hochgeladen';
+$lang['Privacy level set to "%s"'] = 'Privacy level gesetzt auf "%s"';
+$lang['Category "%s" now contains %d photos'] = 'Kategorie "%s" enthält nun %d Fotos';
+$lang['Manage this set of %d photos'] = 'Verwalte dieses Set von %d Fotos';
+$lang['Select files'] = 'Wähle Dateien aus';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG Dateien oder ZIP Archive, die JPEG Dateien enthalten bitte.';
+$lang['Everybody'] = 'Jedermann';
+$lang['Who can see these photos?'] = 'Wer soll die Fotos sehen können?';
+$lang['... or switch to the old style form'] = '... oder schalte um auf das alte Formular';
+$lang['... or switch to the multiple files form'] = '... oder schalte um auf Mehrfachauswahl';
+$lang['The websize maximum width must be a number between %d and %d'] = 'Die maximale Breite muss eine Zahl zwischen %d und %d sein';
+$lang['The websize maximum height must be a number between %d and %d'] = 'Die maximale Höhe muss eine Zahl zwischen %d und %d sein';
+$lang['The websize image quality must be a number between %d and %d'] = 'Die Bildqualität muss eine Zahl zwischen %d und %d sein';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'Die maximale Breite der Thumbnails muss eine Zahl zwischen %d und %d sein';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'Die maximale Höhe der Thumbnails muss eine Zahl zwischen %d und %d sein';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'Die Bildqualität der Thumbnails muss eine Zahl zwischen %d und %d sein';
+$lang['Settings'] = 'Einstellungen';
+$lang['Web size photo'] = 'Größe des angezeigten Bildes';
+$lang['Resize'] = 'Größe verändern';
+$lang['Maximum Width'] = 'Maximale Breite';
+$lang['pixels'] = 'Pixel';
+$lang['Maximum Height'] = 'Maximale  Höhe';
+$lang['Image Quality'] = 'Bildqualität';
+$lang['Save Settings'] = 'Speichere Einstellungen';
+$lang['Your configuration settings are saved'] = 'Die Konfigurationseinstellungen wurden gespeichert';
+$lang['Active Themes'] = 'Aktive Themen';
+$lang['Add write access to the "%s" directory'] = 'Gebe dem Ordner "%s" Schreibrechte';
+$lang['Administration Home'] = 'Startseite der Administration';
+$lang['Categories ordered alphanumerically'] = 'Kateorien alphabetisch sortiert';
+$lang['Categories ordered alphanumerically reverse'] = 'Kateorien rückwärts alphabetisch sortiert';
+$lang['Change Admin Colors'] = 'Ändere die Administrationsfarben ';
+$lang['Delete this theme'] = 'Lösche dieses Thema';
+$lang['Directory does not exist'] = 'Ordner existiert nicht';
+$lang['Download,'] = 'Download,';
+$lang['FTP + Synchronization'] = 'FTP + Synchronisieren';
+$lang['Get Support on Piwigo Forum'] = 'Bekomme Hilfe im Piwigo Forum';
+$lang['Help Me'] = 'Hilf mir';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Es ist nicht möglich dieses Thema zu aktivieren da das Elternthema %s fehlt';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Es ist nicht möglich dieses Thema zu löschen. Andere Themen basieren darauf: %s';
+$lang['Inactive Themes'] = 'Inaktive Themen';
+$lang['Install on your computer,'] = 'Installiere auf deinem Computer,';
+$lang['Make this theme available to users'] = 'Stelle dieses Thema den Benutzern zur Verfügung';
+$lang['Page end'] = 'Ende der Seite';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
+$lang['Read Piwigo Documentation'] = 'Lese die Piwigo Dokumentation';
+$lang['Start pLoader and add your photos.'] = 'Starte pLoader und füge deine Fotos hinzu.';
+$lang['Switch to clear or dark colors for administration'] = 'Wechsle zwischen hellen und dunklen Farben für die Administration';
+$lang['Theme has been successfully installed'] = 'Thema wurde erfolgreich installiert';
+$lang['Upgrade from %s to %s'] = 'Upgrade von %s auf %s';
+$lang['Visit Gallery'] = 'Besuche die Galerie';
+$lang['Visit Piwigo project website'] = 'Besuche die Piwigo Projekthomepage';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader bedeutet <em>Piwigo Uploader</em>. Auf deinem Computer bereitet der pLoader die Fotos vor und transferiert sie in die Piwigo Fotogalerie.';
+$lang['Guest Settings'] = 'Einstellungen für Gäste';
+$lang['Main Page'] = 'Hauptseite';
+$lang['Photo Page'] = 'Fotoseite';
+$lang['Activate Navigation Bar'] = 'Aktiviere Navigationsleiste';
+$lang['Activate Navigation Thumbnails'] = 'Aktiviere Navigationsthumbnails';
+$lang['Activate icon "%s"'] = 'Aktiviere Icon "%s"';
+$lang['Activate field "%s"'] = 'Aktiviere  Bereich "%s"';
+$lang['Photo Properties'] = 'Fotoeigenschaften';
+$lang['Allow user customization'] = 'Erlaube Anpassungen durch Benutzer';
 ?>
Index: trunk/language/de_DE/common.lang.php
===================================================================
--- trunk/language/de_DE/common.lang.php	(revision 5345)
+++ trunk/language/de_DE/common.lang.php	(revision 5346)
@@ -372,3 +372,20 @@
 $lang['Are you sure?'] = 'Sind Sie sicher?';
 $lang['delete this comment'] = 'Diesen Kommentar löschen';
+$lang['Email address is missing'] = 'Emailadresse fehlt';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von ihrem Browser unterstützt. Sie müssen sie erlauben um sich zu verbinden.';
+$lang['Some info about this picture'] = 'Ein paar Infos über dieses Bild';
+$lang['Some more (technical) info about this picture'] = 'Ein paar weitere (technische) Infos über dieses Bild';
+$lang['edit this comment'] = 'editiere diesen Kommentar';
+$lang['Edit a comment'] = 'Editiere einen Kommentar';
+$lang['(!) This comment requires validation'] = '(!) Dieser Kommentar sollte überprüft werden';
+$lang['Welcome'] = 'Willkommen';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen in deiner Piwigo Fotogalerie!';
+$lang['... or browse your empty gallery'] = '... oder durchsuche deine leere Galerie';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... oder deaktiviere diese Nachricht, Ich finde mich selbst zurecht';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, deine Piwigo Fotogalerie ist leer!';
+$lang['I want to add photos'] = 'Ich möchte Fotos hinzufügen';
+$lang['Manage this user comment: %s'] = 'Verwalte diesen Benutzerkommentar: %s';
+$lang['This author modified following comment:'] = 'Dieser Autor veränderte folgenden Kommentar:';
+$lang['This author removed the comment with id %d'] = 'Dieser Autor löschte den Kommentar mit der ID %d';
+$lang['validate this comment'] = 'überprüfe diesen Kommentar';
 ?>
Index: trunk/language/de_DE/install.lang.php
===================================================================
--- trunk/language/de_DE/install.lang.php	(revision 5345)
+++ trunk/language/de_DE/install.lang.php	(revision 5346)
@@ -57,7 +57,4 @@
 $lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = 'Kopieren Sie den rosa Text ohne die Bindestriche und fügen Sie ihn in die Datei "include / mysql.inc.php" auf dem Webserver ein (Warnung: die Datei "mysql.inc.php" darf nur die rosa Zeichen enthalten, nicht mehr und nicht weniger)';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Brauchen Sie Hilfe? Stellen Sie Ihre Frage auf der <a href="%s"> Forum Piwigo </ a>.';
-$lang['install_end_message'] = 'Die Konfiguration der Piwigo abgeschlossen ist, hier ist der nächste Schritt<br /><br />
-* Gehen Sie zum Anmelden auf die Startseite: [ <a href="./identification.php">Identifizierung</a> ] und verwenden Sie die Login / Passwort für Webmaster<br />
-* diesem Login ermöglicht Ihnen den Zugang zu den Verwaltungs-Panel und der Bilder- und Benutzerverwaltung.';
 $lang['Webmaster mail address'] = 'Webmaster Mail-Adresse';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Kontakt E-Mailadresse (nur für angemeldete Benutzer sichtbar)';
@@ -75,3 +72,10 @@
 $lang['The next step of the installation is now possible'] = 'Der nächste Schritt der Installation ist nun möglich';
 $lang['next step'] = 'nächster Schritt';
+$lang['Database type'] = 'Datenbanktyp';
+$lang['The type of database your piwigo data will be store in'] = 'Der Typ der Datenbank, die Piwigo-Daten werden gespeichert in';
+$lang['The configuration of Piwigo is finished, here is the next step<br><br>
+* go to the identification page and use the login/password given for webmaster<br>
+* this login will enable you to access to the administration panel and to the instructions in order to place pictures in your directories'] = 'Die Konfiguration der Piwigo ist beendet, hier ist der nächste Schritt<br><br>
+* gehe zur Anmeldeseiote und logge dich ein mit dem Zugangsdaten für den Webmaster<br>
+* diese Logindaten ermöglichen den Zugriff auf das Administrationspanel und die Anleitung und die Instruktionen, um Bilder in Ihre Verzeichnisse zu legen';
 ?>
Index: trunk/language/de_DE/upgrade.lang.php
===================================================================
--- trunk/language/de_DE/upgrade.lang.php	(revision 5345)
+++ trunk/language/de_DE/upgrade.lang.php	(revision 5346)
@@ -23,11 +23,9 @@
 
 $lang['Upgrade'] = 'Upgrade';
-$lang['introduction message'] = 'Diese Seite schlägt vor, Ihre Datenbank auf die aktuelle Version upzugraden, die Ihre vorhandenen Daten enthält. 
-Sie benutzen zur Zeit die Version <strong>release %s</strong> (oder kompatibel).';
 $lang['Upgrade from version %s to %s'] = 'Upgrade von der Version %s auf %s';
 $lang['Statistics'] = 'Statistik';
-$lang['total upgrade time'] = 'total upgrade time';
-$lang['total SQL time'] = 'total SQL time';
-$lang['SQL queries'] = 'SQL queries';
+$lang['total upgrade time'] = 'benötigte Aktualisierungszeit';
+$lang['total SQL time'] = 'gesamte SQL Zeit';
+$lang['SQL queries'] = 'SQL Anfragen';
 $lang['Upgrade informations'] = 'Upgrade Informationen';
 $lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch in [Verwaltung>Erweiterte Einstellungen>Wartung] falls ein Problem auftritt.';
@@ -35,10 +33,11 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen ein Upgrade durchführen. Bitte loggen Sie sich ein';
 $lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte ein Upgrade durchzuführen';
-$lang['in include/mysql.inc.php, before ?>, insert:'] = 'In die Datei<i>include/mysql.inc.php</i>, vor <b>?></b>, bitte folgenden Text einfügen:';
-
-// Upgrade informations from upgrade_1.3.1.php
 $lang['All sub-categories of private categories become private'] = 'Alle Unterkategorien von privaten Kategorien bekommen den Status "private Kategorie"';
 $lang['User permissions and group permissions have been erased'] = 'Alle Benutzer- und Gruppenberechtigungen/beschränkungen wurden entfernt';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Es wurden nur die Thumbnail-Präfixe und die Mailadresse des Webmasters übernommen';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version.
+The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Diese Seite hat vor, Ihre Datenbank entsprechend Ihrer alten Version von Piwigo zur gegenwärtigen Version zu aktualisieren.
+Der Upgradeassistent ist der Meinung sie haben folgende Version installiert <strong>release %s</strong> (oder identisch).';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In <i>%s</i>, vor <b>?></b>, einfügen:';
 
 ?>
Index: trunk/tools/translation_validated.inc.php
===================================================================
--- trunk/tools/translation_validated.inc.php	(revision 5345)
+++ trunk/tools/translation_validated.inc.php	(revision 5346)
@@ -85,4 +85,41 @@
 	'',
 	),
+  'de_DE' => array(
+ 	'%d Kb',
+	'Filter',
+	'Links',
+	'Tag',
+	'Tags',
+	'Webmaster',
+	'Administration',
+	'Thumbnails',
+	'IP: %s',
+	'Browser: %s',
+	'Name',
+	'Permalink',
+	'Permalinks',
+	'Plugins',
+	'Position',
+	'Status',
+	'Version',
+	'',
+	'High definition',
+	'Parameter',
+	'private',
+	'Thumbnail',
+	'Simulation',
+	'Upload',
+	'user_status_admin',
+	'user_status_webmaster',
+	'IP',
+	'Privacy level',
+	'Demo',
+	'Support',
+	'Bugs',
+	'Downloads',
+	'Installation',
+	'localhost, sql.multimania.com, toto.freesurf.fr',
+	'Upgrade',
+	),
   'pl_PL' => array(
  	'',