Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 5346)
+++ /trunk/language/da_DK/common.lang.php	(revision 5347)
@@ -134,5 +134,5 @@
 $lang['all'] = 'alle';
 $lang['ascending'] = 'venter';
-$lang['author(s) : %s'] = 'author(s) : %s';
+$lang['author(s) : %s'] = 'forfatter(e) : %s';
 $lang['Expand all categories'] = 'Udvid alle kategorier';
 $lang['posted after %s (%s)'] = 'posted efter %s (%s)';
@@ -307,5 +307,5 @@
 $lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Valgfri men anbefalet: Vælg en tilknyttet "thumbnail"';
 $lang['the width of the picture must not exceed :'] = 'bredden af fotoet må ikke overstige : ';
-$lang['Author'] = 'Author';
+$lang['Author'] = 'Forfatter';
 $lang['can\'t upload the picture on the server'] = 'Kan ikke uploade fotoet til serveren';
 $lang['the username must be given'] = 'brugernavn skal være angivet';
@@ -322,5 +322,5 @@
 $lang['IP: %s'] = 'IP: %s';
 $lang['Browser: %s'] = 'Browser: %s';
-$lang['Author: %s'] = 'Author: %s';
+$lang['Author: %s'] = 'Forfatter: %s';
 $lang['Comment: %s'] = 'kommentar: %s';
 $lang['Delete: %s'] = 'Slet: %s';
@@ -369,3 +369,22 @@
 $lang['delete all images from your favorites'] = 'slet alle filer fra dine favoritter';
 $lang['Sent by'] = 'Sent af';
+$lang['Email address is missing'] = 'Email addressen mangler';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies er blokkeret eller ikke supporteret af din browser. Aktiver cookies for at komme på.';
+$lang['Some info about this picture'] = 'Informationer om dette foto';
+$lang['Some more (technical) info about this picture'] = 'Flere (tekniske) informationer om dette foto';
+$lang['edit this comment'] = 'ret denne kommentar';
+$lang['Edit a comment'] = 'Rediger en kommentar';
+$lang['Are you sure?'] = 'Er du sikker?';
+$lang['(!) This comment requires validation'] = '(!) Denne kommentar kræver godkendelse';
+$lang['Welcome'] = 'Velkommen';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Velkommen til dit Piwigo foto galleri!';
+$lang['... or browse your empty gallery'] = '... eller browse i dit tomme galleri';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... eller deaktiver denne meddelelseor, jeg klarer det selv';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, dit Piwigo foto galleri er tomt!';
+$lang['I want to add photos'] = 'Jeg vil tilføje fotos';
+$lang['Manage this user comment: %s'] = 'Håndter denne bruger kommentar: %s';
+$lang['This author modified following comment:'] = 'Denne forfatter har ændret følgende kommentar:';
+$lang['This author removed the comment with id %d'] = 'Denne forfatter har fjernet denne kommentar med id %d';
+$lang['delete this comment'] = 'slet denne kommentar';
+$lang['validate this comment'] = 'godkend denne kommentar';
 ?>
Index: /trunk/language/da_DK/install.lang.php
===================================================================
--- /trunk/language/da_DK/install.lang.php	(revision 5346)
+++ /trunk/language/da_DK/install.lang.php	(revision 5347)
@@ -56,7 +56,4 @@
 $lang['verification'] = 'bekræftelse';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Hjælp ? Stil dine spørgsmål på <a href="%s">Piwigo message board</a>.';
-$lang['install_end_message'] = 'Konfiguration af Piwigo er færdig, her er næste skridt<br /><br />
-* gå til identifikations siden og brug login/password som du har fået af webmaster<br />
-* dette login vil give dig mulighed for at komme til administrationspanelet og til instruktionernerne om hvordan du placerer billeder i dine biblioteker';
 $lang['Webmaster mail address'] = 'Webmaster mail addresse';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Besøgende vil have mulighed for at kontakte administratoren med denne mail';
Index: /trunk/tools/translation_validated.inc.php
===================================================================
--- /trunk/tools/translation_validated.inc.php	(revision 5346)
+++ /trunk/tools/translation_validated.inc.php	(revision 5347)
@@ -122,4 +122,38 @@
 	'Upgrade',
 	),
+  'da_DK' => array(
+ 	'%d Kb',
+	'%d hit',
+	'%d hits',
+	'Connection settings',
+	'Login',
+	'Display',
+	'Filter',
+	'Links',
+	'N/A',
+	'Password',
+	'Quick connect',
+	'RSS feed',
+	'Reset',
+	'Tag',
+	'Tags',
+	'Webmaster',
+	'Administration',
+	'caddie',
+	'download',
+	'Logout',
+	'Powered by',
+	'Auto login',
+	'slideshow',
+	'SQL queries in',
+	'Thumbnails',
+	'Menu',
+	'IP: %s',
+	'Browser: %s',
+	'Email: %s',
+	'Admin: %s',
+	'Rank',
+	'cloud',
+	),	
   'pl_PL' => array(
  	'',