Index: trunk/language/nl_NL/common.lang.php
===================================================================
--- trunk/language/nl_NL/common.lang.php	(revision 5316)
+++ trunk/language/nl_NL/common.lang.php	(revision 5358)
@@ -41,10 +41,10 @@
 $lang['%d hit'] = '%d bezoeker';
 $lang['%d hits'] = '%d bezoekers';
-$lang['%d new image'] = '%d nieuw element';
-$lang['%d new images'] = '%d nieuwe elementen';
+$lang['%d new image'] = '%d nieuwe afbeelding';
+$lang['%d new images'] = '%d nieuwe afbeeldingen';
 $lang['%d new user'] = '%d nieuwe gebruiker';
 $lang['%d new users'] = '%d nieuwe gebruikers';
-$lang['%d waiting element'] = '%d wachtende element';
-$lang['%d waiting elements'] = '%d wachtende elementen';
+$lang['%d waiting element'] = '%d wachtende afbeelding';
+$lang['%d waiting elements'] = '%d wachtende afbeeldingen';
 $lang['About'] = 'Over';
 $lang['All tags must match'] = 'Alle tags moeten kloppen';
@@ -60,43 +60,43 @@
 $lang['Complete RSS feed (images, comments)'] = 'Complete RSS feed (afbeeldingen, commentaar)';
 $lang['Confirm Password'] = 'Bevestig wachtwoord';
-$lang['Connection settings'] = 'Verbindingsinstellingen';
+$lang['Connection settings'] = 'Verbindings-instellingen';
 $lang['Login'] = 'Verbinding';
-$lang['Contact webmaster'] = 'Contact de webmaster';
-$lang['Create a new account'] = 'Maak een nieuwe account';
-$lang['Created on'] = 'Gemaakt op';
-$lang['Creation date'] = 'Aanmaak datum';
-$lang['Current password is wrong'] = 'Huidige wachtwoord is niet juist';
-$lang['Dimensions'] = 'Dimenties';
+$lang['Contact webmaster'] = 'Neem contact op met de webbeheerder';
+$lang['Create a new account'] = 'Maak een nieuw account aan';
+$lang['Created on'] = 'Aangemaakt op';
+$lang['Creation date'] = 'Aanmaakdatum';
+$lang['Current password is wrong'] = 'Huidig wachtwoord is niet juist';
+$lang['Dimensions'] = 'Dimensies';
 $lang['Display'] = 'Weergeven';
-$lang['Each listed rule must be satisfied.'] = 'Aan elke regel moet worden voldaan.';
-$lang['Email address is missing. Please specify an email address.'] = 'Email adres is niet ingevuld';
-$lang['Email address'] = 'Email adres';
+$lang['Each listed rule must be satisfied.'] = 'Aan elke weergegeven regel moet worden voldaan.';
+$lang['Email address is missing. Please specify an email address.'] = 'Email-adres is niet ingevuld';
+$lang['Email address'] = 'Email-adres';
 $lang['Enter your personnal informations'] = 'Vul uw persoonlijke informatie in';
 $lang['Error sending email'] = 'Fout bij het versturen van email';
 $lang['File name'] = 'Bestandsnaam';
 $lang['File'] = 'Bestand';
-$lang['Filesize'] = 'Bestands grote';
+$lang['Filesize'] = 'Bestandsgrootte';
 $lang['Filter and display'] = 'Filteren en tonen';
 $lang['Filter'] = 'Filter';
 $lang['Forgot your password?'] = 'Wachtwoord vergeten?';
-$lang['Go through the gallery as a visitor'] = 'Ga naar de gallerie als gast';
+$lang['Go through the gallery as a visitor'] = 'Ga naar de galerie als gast';
 $lang['Help'] = 'Help';
-$lang['Identification'] = 'Identificatie';
-$lang['Image only RSS feed'] = 'Image only RSS feed';
-$lang['Keyword'] = 'Keyword';
+$lang['Identification'] = 'Administratie';
+$lang['Image only RSS feed'] = 'Alleen RSS feed mbt afbeeldingen';
+$lang['Keyword'] = 'Sleutelwoord';
 $lang['Links'] = 'Links';
-$lang['Mail address'] = 'Mail adres';
+$lang['Mail address'] = 'Email-adres';
 $lang['N/A'] = 'Niet bekend';
 $lang['New on %s'] = 'Nieuw op %s';
 $lang['New password confirmation does not correspond'] = 'Nieuw wachtwoord bevestiging komt niet overeen';
 $lang['New password sent by email'] = 'Nieuw wachtwoord is verzonden per email';
-$lang['No email address'] = 'Geen email adres';
-$lang['No classic user matches this email address'] = 'Geen gebruiker gevonden met dit email adres';
+$lang['No email address'] = 'Geen email-adres';
+$lang['No classic user matches this email address'] = 'Geen gebruiker gevonden met dit email-adres';
 $lang['Notification'] = 'Melding';
 $lang['Number of items'] = 'Aantal items';
-$lang['Original dimensions'] = 'Originele dimenties';
+$lang['Original dimensions'] = 'Originele dimensies';
 $lang['Password forgotten'] = 'Wachtwoord vergeten';
 $lang['Password'] = 'Wachtwoord';
-$lang['Post date'] = 'Plaatsings datum';
+$lang['Post date'] = 'Plaatsingsdatum';
 $lang['Posted on'] = 'Geplaatst op';
 $lang['Profile'] = 'Profiel';
@@ -109,5 +109,5 @@
 $lang['Reset'] = 'Reset';
 $lang['Retrieve password'] = 'Ontvang wachtwoord';
-$lang['Search rules'] = 'Zoek opties';
+$lang['Search rules'] = 'Zoekregels';
 $lang['Search tags'] = 'Zoek tags';
 $lang['Search'] = 'Zoeken';
@@ -116,55 +116,55 @@
 $lang['Since'] = 'Sinds';
 $lang['Sort by'] = 'Sorteren op';
-$lang['Sort order'] = 'Sorteer volgorde';
+$lang['Sort order'] = 'Sorteer-volgorde';
 $lang['Tag'] = 'Tag';
 $lang['Tags'] = 'Tags';
 $lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'De RSS feed geeft meldingen als er nieuws is op deze website: nieuwe afbeeldingen, bijgewerkte categorieën, nieuw commentaar. Gebruik hiervoor een rss lezer.';
 $lang['Unknown feed identifier'] = 'Onbekende feed identifier';
-$lang['User comments'] = 'Gebruikers commentaar';
+$lang['User comments'] = 'Gebruikers-commentaar';
 $lang['Username'] = 'Gebruikersnaam';
 $lang['Visits'] = 'Bezoeken';
-$lang['Webmaster'] = 'Webmaster';
+$lang['Webmaster'] = 'Webbeheerder';
 $lang['Week %d'] = 'Week %d';
 $lang['About Piwigo'] = 'Over Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Je hebt geen rechten tot de opgevraagde pagina';
-$lang['add to caddie'] = 'Toevoegen aan caddie';
-$lang['add this image to your favorites'] = 'voeg deze afbeelding toe aan jou favorieten';
+$lang['You are not authorized to access the requested page'] = 'U heeft geen rechten tot de opgevraagde pagina';
+$lang['add to caddie'] = 'Toevoegen aan winkelmandje';
+$lang['add this image to your favorites'] = 'voeg deze afbeelding toe aan uw favorieten';
 $lang['Administration'] = 'Beheer';
-$lang['Adviser mode enabled'] = 'Advies mode geactiveerd';
+$lang['Adviser mode enabled'] = 'Adviesmode geactiveerd';
 $lang['all'] = 'alle';
-$lang['ascending'] = 'ascending';
+$lang['ascending'] = 'Oplopend';
 $lang['author(s) : %s'] = 'auteur(s) : %s';
 $lang['Expand all categories'] = 'Toon alle categorieën';
 $lang['posted after %s (%s)'] = 'geplaatst na %s (%s)';
-$lang['posted before %s (%s)'] = 'geplaats voor %s (%s)';
+$lang['posted before %s (%s)'] = 'geplaatst voor %s (%s)';
 $lang['posted between %s (%s) and %s (%s)'] = 'geplaatst tussen %s (%s) en %s (%s)';
 $lang['posted on %s'] = 'geplaatst op %s';
 $lang['Best rated'] = 'Best beoordeeld';
-$lang['display best rated items'] = 'weergeven van de hoogste beoordeling';
-$lang['caddie'] = 'caddie';
-$lang['Calendar'] = 'kalender';
+$lang['display best rated items'] = 'Weergeven van de hoogste beoordeling';
+$lang['caddie'] = 'winkelmandje';
+$lang['Calendar'] = 'Kalender';
 $lang['All'] = 'Alle';
-$lang['display each day with pictures, month per month'] = 'weergeven elke dag met afbeelding, maand per maand';
-$lang['display pictures added on'] = 'toon alle afbeelding toegevoegt op ';
+$lang['display each day with pictures, month per month'] = 'Weergeven elke dag met afbeelding, maand per maand';
+$lang['display pictures added on'] = 'Toon alle afbeeldingen toegevoegd op ';
 $lang['View'] = 'Bekijk';
-$lang['chronology_monthly_calendar'] = 'Maand kalender';
-$lang['chronology_monthly_list'] = 'Maand lijst';
-$lang['chronology_weekly_list'] = 'Week lijst';
-$lang['Click here if your browser does not automatically forward you'] = 'Klik hier als je browser je niet doorstuurt';
-$lang['comment date'] = 'commentaar datum';
+$lang['chronology_monthly_calendar'] = 'Maand-kalender';
+$lang['chronology_monthly_list'] = 'Maand-lijst';
+$lang['chronology_weekly_list'] = 'Week-lijst';
+$lang['Click here if your browser does not automatically forward you'] = 'Klik hier als uw browser u niet doorstuurt';
+$lang['comment date'] = 'Commentaar-datum';
 $lang['Comment'] = 'Commentaar';
-$lang['Your comment has been registered'] = 'Je commentaar is geregistreerd';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood systeem : je moet even wachten voordat je weer nieuw commentaar kunt plaatsen';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Je commentaar is  NIET geregistreerd omdat de validatie regels de plaatsing voorkwam';
-$lang['An administrator must authorize your comment before it is visible.'] = 'Een beheerder moet je commentaar goedkeuren voordat het zichtbaar word.';
+$lang['Your comment has been registered'] = 'Uw commentaar is geregistreerd';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood systeem : u moet even wachten voordat u weer nieuw commentaar kunt plaatsen';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Uw commentaar is NIET geregistreerd omdat de validatie-regels de plaatsing voorkwam';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Een beheerder moet uw commentaar goedkeuren voordat het zichtbaar wordt.';
 $lang['This login is already used by another user'] = 'Deze gebruikersnaam is al in gebruik';
 $lang['Comments'] = 'Commentaar';
-$lang['Add a comment'] = 'voeg commentaar toe';
+$lang['Add a comment'] = 'Voeg commentaar toe';
 $lang['created after %s (%s)'] = 'Gemaakt na %s (%s)';
 $lang['created before %s (%s)'] = 'Gemaakt voor %s (%s)';
 $lang['created between %s (%s) and %s (%s)'] = 'Gemaakt tussen %s (%s) en %s (%s)';
 $lang['created on %s'] = 'gemaakt op %s';
-$lang['Customize'] = 'Aanpassen';
-$lang['Your Gallery Customization'] = 'Je gallerie aanpassen ';
+$lang['Customize'] = 'Profiel aanpassen';
+$lang['Your Gallery Customization'] = 'Uw galerie aanpassen ';
 $lang['day'][0] = 'Zondag';
 $lang['day'][1] = 'Maandag';
@@ -175,7 +175,7 @@
 $lang['day'][6] = 'Zaterdag';
 $lang['Default'] = 'Standaard';
-$lang['delete this image from your favorites'] = 'verwijder deze foto van je favorieten';
+$lang['delete this image from your favorites'] = 'Verwijder deze foto van uw favorieten';
 $lang['Delete'] = 'Verwijderen';
-$lang['descending'] = 'descending';
+$lang['descending'] = 'Aflopend';
 $lang['download'] = 'download';
 $lang['download this file'] = 'download dit bestand';
@@ -187,5 +187,5 @@
 $lang['Favorites'] = 'Favorieten';
 $lang['First'] = 'Eerste';
-$lang['The gallery is locked for maintenance. Please, come back later.'] = 'De gallerie is in onderhoud. Probeer het later nog eens.';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'De galerie is in onderhoud. Probeer het later nog eens.';
 $lang['Page generated in'] = 'Pagina gegenereerd in';
 $lang['guest'] = 'gast';
@@ -193,9 +193,9 @@
 $lang['available for administrators only'] = 'Alleen voor beheerders';
 $lang['shows images at the root of this category'] = 'Toon afbeelding van het begin van de categorie';
-$lang['See last users comments'] = 'Bekijk de laatste gebruikerscommentaar';
-$lang['customize the appareance of the gallery'] = 'Verschijning van de gallerie aanpassen';
+$lang['See last users comments'] = 'Bekijk het laatste gebruikerscommentaar';
+$lang['customize the appareance of the gallery'] = 'Weergave van de galerie aanpassen';
 $lang['search'] = 'zoeken';
 $lang['Home'] = 'Home';
-$lang['Identification'] = 'Identificatie';
+$lang['Identification'] = 'Administratie';
 $lang['in this category'] = 'in deze categorie';
 $lang['in %d sub-category'] = 'in %d sub-categorie';
@@ -203,18 +203,18 @@
 $lang['included'] = 'inclusief';
 $lang['Invalid password!'] = 'Verkeerd wachtwoord!';
-$lang['Language']='Taal';
+$lang['Language'] = 'Taal';
 $lang['last %d days'] = 'laaste %d dagen';
 $lang['Last'] = 'Laatste';
 $lang['Logout'] = 'Loguit';
-$lang['E-mail address'] = 'E-mail adres';
+$lang['E-mail address'] = 'Email-adres';
 $lang['obligatory'] = 'verplicht';
 $lang['Maximum height of the pictures'] = 'Maximale hoogte van de afbeelding';
 $lang['Maximum height must be a number superior to 50'] = 'Maximale hoogte moet een veelvoud zijn van 50';
-$lang['Maximum width of the pictures'] = 'Maximale breedte van het afbeelding';
+$lang['Maximum width of the pictures'] = 'Maximale breedte van de afbeelding';
 $lang['Maximum width must be a number superior to 50'] = 'Maximale breedte moet een veelvoud zijn van 50';
-$lang['display a calendar by creation date'] = 'toon een kalender per aanmaak datum';
-$lang['display all elements in all sub-categories'] = 'toont alle elementen in alle sub-categorieën';
-$lang['return to normal view mode'] = 'terug naar normaal kijken';
-$lang['display a calendar by posted date'] = 'toon een kalender met datums van plaatsen';
+$lang['display a calendar by creation date'] = 'Toon afbeeldingen gesorteerd op aanmaakdatum';
+$lang['display all elements in all sub-categories'] = 'Toon alle afbeeldingen in alle sub-categorieën';
+$lang['return to normal view mode'] = 'Terug naar de standaardweergave';
+$lang['display a calendar by posted date'] = 'Toon afbeeldingen gesorteerd op plaatsingsdatum';
 $lang['month'][10] = 'Oktober';
 $lang['month'][11] = 'November';
@@ -230,6 +230,6 @@
 $lang['month'][9] = 'September';
 $lang['Most visited'] = 'Meest bekeken';
-$lang['display most visited pictures'] = 'Toon de meest bekenen afbeelding';
-$lang['The number of images per row must be a not null scalar'] = 'Het aantal beelden per rij moet niet ongeldige deler zijn';
+$lang['display most visited pictures'] = 'Toon de meest bekeken afbeelding';
+$lang['The number of images per row must be a not null scalar'] = 'Het aantal afbeeldingen per rij mag geen ongeldige deling zijn';
 $lang['Number of images per row'] = 'Aantal afbeeldingen per rij';
 $lang['The number of rows per page must be a not null scalar'] = 'Het aantal rijen per pagina mag geen ongeldige deling zijn';
@@ -241,6 +241,6 @@
 $lang['Home'] = 'Home';
 $lang['no rate'] = 'geen beoordeling';
-$lang['Elements posted within the last %d day.'] = 'Toont alleen elementen geplaatst in de laatste %s dag.';
-$lang['Elements posted within the last %d days.'] = 'Toont alleen elementen geplaatst in de laatste %s dagen.';
+$lang['Elements posted within the last %d day.'] = 'Toon alleen afbeeldingen geplaatst in de laatste %s dag.';
+$lang['Elements posted within the last %d days.'] = 'Toon alleen afbeeldingen geplaatst in de laatste %s dagen.';
 $lang['password updated'] = 'wachtwoord bijgewerkt';
 $lang['Recent period must be a positive integer value'] = 'Recente periode moet een positieve waarde zijn';
@@ -251,5 +251,5 @@
 $lang['Preferences'] = 'Voorkeuren';
 $lang['Previous'] = 'Vorige';
-$lang['Random pictures'] = 'Random afbeelding';
+$lang['Random pictures'] = 'Willekeurige afbeelding';
 $lang['display a set of random pictures'] = 'toon een set van willekeurige afbeelding';
 $lang['Recent categories'] = 'Recente categorieën';
@@ -259,27 +259,27 @@
 $lang['display most recent pictures'] = 'toon meest recente afbeelding';
 $lang['Redirection...'] = 'doorsturen...';
-$lang['Please, enter a login'] = 'Vul uw gebruikersnaam in AUB.';
-$lang['login mustn\'t end with a space character'] = 'gebruikersnaam mag niet eindigen met een spatie';
-$lang['login mustn\'t start with a space character'] = 'gebruikersnaam mag niet beginnen met een spatie';
-$lang['this login is already used'] = 'deze gebruikersnaam is al in gebruik';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'mail adres moet zijn xxx@yyy.eee (voorbeeld : jack@altern.org)';
+$lang['Please, enter a login'] = 'Vul uw gebruikersnaam in aub.';
+$lang['login mustn\'t end with a space character'] = 'Gebruikersnaam mag niet eindigen met een spatie';
+$lang['login mustn\'t start with a space character'] = 'Gebruikersnaam mag niet beginnen met een spatie';
+$lang['this login is already used'] = 'Deze gebruikersnaam is al in gebruik';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'email-adres moet zijn xxx@yyy.eee (bijvoorbeeld : jack@altern.org)';
 $lang['please enter your password again'] = 'vul uw wachtwoord nogmaals in';
 $lang['Auto login'] = 'Auto login';
 $lang['remove this tag from the list'] = 'verwijder de tag van de lijst';
 $lang['representative'] = 'representatief';
-$lang['return to homepage'] = 'terug naar de homepage';
+$lang['return to homepage'] = 'Terug naar de beginpagina';
 $lang['Search for Author'] = 'Zoek naar auteur';
-$lang['Search in Categories'] = 'Zoeken in Categorieën';
-$lang['Search by Date'] = 'Zoeken op Datum';
-$lang['Date'] = 'Datum';
-$lang['End-Date'] = 'Eind-Datum';
-$lang['Kind of date'] = 'Datum type';
+$lang['Search in Categories'] = 'Zoeken in categorieën';
+$lang['Search by Date'] = 'Zoeken op datum';
+$lang['Date'] = 'Begindatum';
+$lang['End-Date'] = 'Einddatum';
+$lang['Kind of date'] = 'Datumtype';
 $lang['Search for words'] = 'Zoek naar hele woorden';
 $lang['Search for all terms'] = 'Zoeken naar alle woorden';
 $lang['Search for any terms'] = 'Zoeken naar een woord';
 $lang['Empty query. No criteria has been entered.'] = 'Lege zoekopdracht. Er is niets ingevuld.';
-$lang['Search Options'] = 'Zoek Opties';
+$lang['Search Options'] = 'Zoekopties';
 $lang['Search results'] = 'Zoekresultaten';
-$lang['Search in subcategories'] = 'Zoeken in subcategorieën';
+$lang['Search in subcategories'] = 'Zoeken in sub-categorieën';
 $lang['Search'] = 'Zoeken';
 $lang['searched words : %s'] = 'zoekwoorden : %s';
@@ -288,17 +288,17 @@
 $lang['Show number of comments'] = 'Toon aantal commentaren';
 $lang['Show number of hits'] = 'Toon aantal bezoekers';
-$lang['slideshow'] = 'slideshow';
-$lang['stop the slideshow'] = 'stop de slideshow';
+$lang['slideshow'] = 'Diavoorstelling';
+$lang['stop the slideshow'] = 'Stop de diavoorstelling';
 $lang['Specials'] = 'Speciaal';
 $lang['SQL queries in'] = 'SQL queries in';
-$lang['display only recently posted images'] = 'toon alleen de recent geplaatste elementen';
-$lang['return to the display of all images'] = 'terug naar het tonen van alles';
+$lang['display only recently posted images'] = 'Toon alleen de recent geplaatste afbeeldingen';
+$lang['return to the display of all images'] = 'Terug naar het tonen van alles';
 $lang['the beginning'] = 'het begin';
-$lang['Interface theme'] = 'thema';
+$lang['Interface theme'] = 'Thema';
 $lang['Thumbnails'] = 'Thumbnails';
 $lang['Menu'] = 'Menu';
-$lang['A comment on your site'] = 'commentaar op je site';
+$lang['A comment on your site'] = 'Commentaar op uw site';
 $lang['today'] = 'vandaag';
-$lang['Update your rating'] = 'Werk je beoordeling bij';
+$lang['Update your rating'] = 'Werk uw beoordeling bij';
 $lang['wrong filename'] = 'verkeerde bestandsnaam';
 $lang['the filesize of the picture must not exceed :'] = 'het bestandsformaat mag niet te groot zijn : ';
@@ -308,14 +308,12 @@
 $lang['the width of the picture must not exceed :'] = 'de breedte van de afbeelding mag niet te groot zijn : ';
 $lang['Author'] = 'Auteur';
-$lang['can\'t upload the picture on the server'] = 'kan de afbeelding niet op de server plaatsen';
+$lang['can\'t upload the picture on the server'] = 'de afbeelding kan niet op de server geplaatst worden';
 $lang['the username must be given'] = 'de gebruikersnaam moet ingevuld zijn';
 $lang['A picture\'s name already used'] = 'De naam is al in gebruik';
-$lang['You must choose a picture fileformat for the image'] = 'Je moet een afbeeldingsformaat opgeven voor de afbeelding';
-$lang['You can\'t upload pictures in this category'] = 'Je kan geen afbeelding plaatsen in deze categorie';
-$lang['Name of the picture'] = 'Naam van de afbeelding';
-$lang['Upload a picture'] = 'Uploaden van een afbeelding';
+$lang['You must choose a picture fileformat for the image'] = 'U moet een afbeeldingsformaat opgeven voor de afbeelding';
+$lang['You can\'t upload pictures in this category'] = 'U kunt geen afbeelding';
 $lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'Afbeelding met succes ge-upload, een beheerder moet de afbeelding valideren, dit gebeurd zsm.';
 $lang['Upload a picture'] = 'Upload een afbeelding';
-$lang['useful when password forgotten'] = 'handig bij het vergeten van je wachtwoord';
+$lang['useful when password forgotten'] = 'handig indien u uw wachtwoord bent vergeten';
 $lang['Quick search'] = 'Snel zoeken';
 $lang['Connected user: %s'] = 'Aangemeld als gebruiker: %s';
@@ -332,13 +330,13 @@
 $lang['Registration of %s'] = 'Registratie van %s';
 $lang['Category: %s'] = 'Categorie: %s';
-$lang['Picture name: %s'] = 'Afbeeldings naam: %s';
-$lang['Creation date: %s'] = 'Aanmaak datum: %s';
+$lang['Picture name: %s'] = 'Afbeeldingsnaam: %s';
+$lang['Creation date: %s'] = 'Aanmaakdatum: %s';
 $lang['Waiting page: %s'] = 'Wacht pagina: %s';
 $lang['Picture uploaded by %s'] = 'Afbeelding ge-uploaded door %s';
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Foutieve status voor gebruiker "guest", gebruik standaard status. Waarschuw de webmaster.';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Foutieve status voor gebruiker "guest", gebruik standaard status. Waarschuw de webbeheerder.';
 // --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
-$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster en speciale gebruiker kunnen deze methode niet gebruiken';
-$lang['a user use already this mail address'] = 'Een andere gebruiker maakt al gebruik van dit email adres';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webbeheerder en speciale gebruiker kunnen deze methode niet gebruiken';
+$lang['a user use already this mail address'] = 'Een andere gebruiker maakt al gebruik van dit email-adres';
 $lang['Category results for'] = 'Categorie resultaten voor';
 $lang['Tag results for'] = 'Tag resultaten voor';
@@ -355,12 +353,12 @@
 $lang['%d image']='%d afbeelding';
 $lang['%d images']='%d afbeeldingen';
-$lang['%d image is also linked to current tags'] = '%d image are also linked to current tags';
-$lang['%d images are also linked to current tags'] = '%d images are also linked to current tags';
-$lang['See images linked to this tag only'] = 'Toon afbeelding gelinkt met deze tag';
+$lang['%d image is also linked to current tags'] = '%d afbeelding is ook gelinkt aan de actuele tags';
+$lang['%d images are also linked to current tags'] = '%d afbeeldingen zijn ook gelinkt aan de actuele tags';
+$lang['See images linked to this tag only'] = 'Toon afbeeldingen gelinkt met deze tag';
 $lang['images posted during the last %d days'] = 'afbeelding binnen de %d dagen';
 $lang['Choose an image'] = 'Kies een afbeelding om';
 $lang['Piwigo Help'] = 'Piwigo Help';
 // --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
-$lang['Are you sure?'] = 'Weet je het zeker?';
+$lang['Are you sure?'] = 'Weet u het zeker?';
 $lang['delete this comment'] = 'verwijder dit commentaar';
 ?>