Index: trunk/admin/themes/clear/theme.css
===================================================================
--- trunk/admin/themes/clear/theme.css	(revision 5362)
+++ trunk/admin/themes/clear/theme.css	(revision 5364)
@@ -9,10 +9,14 @@
 input.rateButton, legend, h3 { color: #777; }
 h2 { color: #777; }
+
 .content .infos { color: #0a0; border:0; background: transparent url(icon/infos.png) no-repeat 5px 5px;
-padding:5px 70px 0pt 30px; min-height: 54px; text-align:left; background-color:#c2f5c2;}
+padding:5px 70px 0pt 30px; min-height: 54px; background-color:#c2f5c2;}
+
 .content .infos .submit {margin-left:30px;}
 .content .infos li, .content .errors li { list-style-type:square; }
+
 .content .errors { color: #f22; border:0; background: transparent url(icon/errors.png) no-repeat left top;
 padding:5px 60px 0pt 30px; min-height: 54px; text-align:left; font-weight:bold; background-position:5px 5px; background-color: #ffd5dc;}
+
 #copyright { color:#777; margin:5px auto 0px 240px; text-align:center; 
 padding-bottom: 15px; }
Index: trunk/admin/themes/default/default-colors.css
===================================================================
--- trunk/admin/themes/default/default-colors.css	(revision 5362)
+++ trunk/admin/themes/default/default-colors.css	(revision 5364)
@@ -28,30 +28,4 @@
 }
 
-.errors { /* Errors display */
-  color: #f33;
-  background-color: transparent;
-  font-weight: bold;
-  text-align: left;
-  margin: 5px;
-  border: 1px solid #666;
-  background-image: url(icon/errors.png);
-  background-repeat: no-repeat;
-  background-position: top right;
-  padding: 10px 50px 10px 10px;
-}
-
-/**
- * Informations box in administration
- */
-.infos {
-  text-align: left;
-  color: #f70;
-  background-color: transparent; 
-  background-image: url(icon/infos.png);
-  background-repeat: no-repeat;
-  background-position: top right;
-  margin: 5px;
-  padding: 10px 50px 10px 10px;
-}
 
 /**
Index: trunk/admin/themes/default/default-layout.css
===================================================================
--- trunk/admin/themes/default/default-layout.css	(revision 5362)
+++ trunk/admin/themes/default/default-layout.css	(revision 5364)
@@ -770,2 +770,20 @@
 
 #configContent FIELDSET {border:none;}
+
+/**
+ * Informations box in administration
+ */
+.infos {
+  text-align: left;
+  margin: 5px;
+  padding: 10px 50px 10px 10px;
+  font-weight:bold;
+}
+
+.errors { /* Errors display */
+  text-align: left;
+  margin: 5px;
+  font-weight:bold;
+}
+
+.content .infos li, .content .errors li { list-style-type:square; }
Index: trunk/admin/themes/roma/theme.css
===================================================================
--- trunk/admin/themes/roma/theme.css	(revision 5362)
+++ trunk/admin/themes/roma/theme.css	(revision 5364)
@@ -10,10 +10,17 @@
 input.rateButton, legend, h3 { color: #666; }
 h2 { color: #ccc; }
-.content .infos { color: #f70; border:0; background-color: transparent;
-padding:5px 60px 0pt 10pt; min-height: 48px; text-align:left; background-position:left top;}
+
+/* .content .infos { color: #f70; border:0; background-color: transparent; */
+/* padding:5px 60px 0pt 10pt; min-height: 48px; text-align:left; background-position:left top;} */
+
+.content .infos { color: #008200; border:0; background: transparent url(../clear/icon/infos.png) no-repeat 5px 5px;
+padding:5px 70px 0pt 30px; min-height: 54px; background-color:#c2f5c2;}
+
+
 .content .infos .submit {margin-left:30px;}
-.content .infos li, .content .errors li { list-style-type:none; }
-.content .errors { color: #f33; border:0; background-color: transparent;
-padding:5px 60px 0pt 10pt; min-height: 48px; text-align:left; font-weight:bold; background-position:left top;  }
+
+.content .errors { color: #f33; border:0; background: #ffd5dc url(../clear/icon/errors.png) no-repeat 5px 5px;
+padding:5px 60px 0pt 30px; min-height: 54px; text-align:left; }
+
 .header_notes { background: transparent url(../../icon/note.png) no-repeat right top;
 border:0; font-weight:bold; min-height: 48px;