Index: /trunk/admin/include/languages.class.php
===================================================================
--- /trunk/admin/include/languages.class.php	(revision 5370)
+++ /trunk/admin/include/languages.class.php	(revision 5371)
@@ -37,4 +37,21 @@
 
   /**
+   * Set tabsheet for languages pages.
+   * @param string selected page.
+   */
+  function set_tabsheet($selected)
+  {
+    include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+
+    $link = get_root_url().'admin.php?page=';
+
+    $tabsheet = new tabsheet();
+    $tabsheet->add('languages_installed', l10n('Installed Languages'), $link.'languages_installed');
+    $tabsheet->add('languages_new', l10n('Add New Language'), $link.'languages_new');
+    $tabsheet->select($selected);
+    $tabsheet->assign();
+  }
+
+  /**
    * Perform requested actions
    * @param string - action
@@ -171,4 +188,162 @@
       $this->db_languages[ $row['id'] ] = $row['name'];
     }
+  }
+
+  /**
+   * Retrieve PEM server datas to $server_languages
+   */
+  function get_server_languages()
+  {
+    global $user;
+
+    $pem_category_id = 8;
+
+    // Retrieve PEM versions
+    $version = PHPWG_VERSION;
+    $versions_to_check = array();
+    $url = PEM_URL . '/api/get_version_list.php?category_id='.$pem_category_id.'&format=php';
+    if (fetchRemote($url, $result) and $pem_versions = @unserialize($result))
+    {
+      if (!preg_match('/^\d+\.\d+\.\d+/', $version))
+      {
+        $version = $pem_versions[0]['name'];
+      }
+      $branch = substr($version, 0, strrpos($version, '.'));
+      foreach ($pem_versions as $pem_version)
+      {
+        if (strpos($pem_version['name'], $branch) === 0)
+        {
+          $versions_to_check[] = $pem_version['id'];
+        }
+      }
+    }
+    if (empty($versions_to_check))
+    {
+      return false;
+    }
+
+    // Retrieve PEM languages infos
+    $url = PEM_URL . '/api/get_revision_list.php?category_id='.$pem_category_id.'&format=php&last_revision_only=true';
+    $url .= '&version=' . implode(',', $versions_to_check);
+    $url .= '&lang='.$user['language'];
+
+    if (fetchRemote($url, $result))
+    {
+      $pem_languages = @unserialize($result);
+      if (!is_array($pem_languages))
+      {
+        return false;
+      }
+      foreach ($pem_languages as $language)
+      {
+        if (preg_match('/^.*? \[[A-Z]{2}\]$/', $language['extension_name'])
+          and !in_array($language['extension_name'], $this->fs_languages))
+        {
+          $this->server_languages[] = $language;
+        }
+      }
+      return true;
+    }
+    return false;
+  }
+
+  /**
+   * Extract language files from archive
+   *
+   * @param string - install or upgrade
+   * @param string - remote revision identifier (numeric)
+   * @param string - language id or extension id
+   */
+  function extract_language_files($action, $revision, $dest='')
+  {
+    if ($archive = tempnam( PHPWG_ROOT_PATH.'language', 'zip'))
+    {
+      $url = PEM_URL . '/download.php?rid=' . $revision;
+      $url .= '&origin=piwigo_' . $action;
+
+      if ($handle = @fopen($archive, 'wb') and fetchRemote($url, $handle))
+      {
+        fclose($handle);
+        include(PHPWG_ROOT_PATH.'admin/include/pclzip.lib.php');
+        $zip = new PclZip($archive);
+        if ($list = $zip->listContent())
+        {
+          foreach ($list as $file)
+          {
+            // we search iso.txt in archive
+            if (basename($file['filename']) == 'iso.txt'
+              and (!isset($main_filepath)
+              or strlen($file['filename']) < strlen($main_filepath)))
+            {
+              $main_filepath = $file['filename'];
+            }
+          }
+          if (isset($main_filepath))
+          {
+            $root = basename(dirname($main_filepath)); // iso.txt path in archive
+            if (preg_match('/^[a-z]{2}_[A-Z]{2}$/', $root))
+            {
+              if ($action == 'install')
+              {
+                $dest = $root;
+              }
+              $extract_path = PHPWG_ROOT_PATH.'language/'.$dest;
+              if (
+                $result = $zip->extract(
+                  PCLZIP_OPT_PATH, $extract_path,
+                  PCLZIP_OPT_REMOVE_PATH, $root,
+                  PCLZIP_OPT_REPLACE_NEWER
+                  )
+                )
+              {
+                foreach ($result as $file)
+                {
+                  if ($file['stored_filename'] == $main_filepath)
+                  {
+                    $status = $file['status'];
+                    break;
+                  }
+                }
+                if ($status == 'ok')
+                {
+                  $this->fs_languages = $this->get_fs_languages();
+                  $this->perform_action('activate', $dest);
+                }
+                if (file_exists($extract_path.'/obsolete.list')
+                  and $old_files = file($extract_path.'/obsolete.list', FILE_IGNORE_NEW_LINES)
+                  and !empty($old_files))
+                {
+                  array_push($old_files, 'obsolete.list');
+                  foreach($old_files as $old_file)
+                  {
+                    $path = $extract_path.'/'.$old_file;
+                    if (is_file($path))
+                    {
+                      @unlink($path);
+                    }
+                    elseif (is_dir($path))
+                    {
+                      if (!$this->deltree($path))
+                      {
+                        $this->send_to_trash($path);
+                      }
+                    }
+                  }
+                }
+              }
+              else $status = 'extract_error';
+            }
+            else $status = 'archive_error';
+          }
+          else $status = 'archive_error';
+        }
+        else $status = 'archive_error';
+      }
+      else $status = 'dl_archive_error';
+    }
+    else $status = 'temp_path_error';
+
+    @unlink($archive);
+    return $status;
   }
 
Index: /trunk/admin/languages_installed.php
===================================================================
--- /trunk/admin/languages_installed.php	(revision 5370)
+++ /trunk/admin/languages_installed.php	(revision 5371)
@@ -35,4 +35,5 @@
 $languages = new languages();
 $languages->get_db_languages();
+$languages->set_tabsheet($page['page']);
 
 //--------------------------------------------------perform requested actions
Index: /trunk/admin/languages_new.php
===================================================================
--- /trunk/admin/languages_new.php	(revision 5371)
+++ /trunk/admin/languages_new.php	(revision 5371)
@@ -0,0 +1,132 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if( !defined("PHPWG_ROOT_PATH") )
+{
+  die ("Hacking attempt!");
+}
+
+include_once(PHPWG_ROOT_PATH.'admin/include/languages.class.php');
+
+$template->set_filenames(array('languages' => 'languages_new.tpl'));
+
+$base_url = get_root_url().'admin.php?page='.$page['page'];
+
+$languages = new languages();
+$languages->get_db_languages();
+$languages->set_tabsheet($page['page']);
+
+// +-----------------------------------------------------------------------+
+// |                           setup check                                 |
+// +-----------------------------------------------------------------------+
+
+$languages_dir = PHPWG_ROOT_PATH.'language';
+if (!is_writable($languages_dir))
+{
+  array_push(
+    $page['errors'],
+    sprintf(
+      l10n('Add write access to the "%s" directory'),
+      'language'
+      )
+    );
+}
+
+// +-----------------------------------------------------------------------+
+// |                       perform installation                            |
+// +-----------------------------------------------------------------------+
+
+if (isset($_GET['revision']) and !is_adviser())
+{
+  check_pwg_token();
+
+  $install_status = $languages->extract_language_files('install', $_GET['revision']);
+  
+  redirect($base_url.'&installstatus='.$install_status);
+}
+
+// +-----------------------------------------------------------------------+
+// |                        installation result                            |
+// +-----------------------------------------------------------------------+
+if (isset($_GET['installstatus']))
+{
+  switch ($_GET['installstatus'])
+  {
+    case 'ok':
+      array_push($page['infos'],
+        l10n('Language has been successfully installed')
+      );
+      break;
+
+    case 'temp_path_error':
+      array_push($page['errors'], l10n('Can\'t create temporary file.'));
+      break;
+
+    case 'dl_archive_error':
+      array_push($page['errors'], l10n('Can\'t download archive.'));
+      break;
+
+    case 'archive_error':
+      array_push($page['errors'], l10n('Can\'t read or extract archive.'));
+      break;
+
+    default:
+      array_push($page['errors'],
+        sprintf(l10n('An error occured during extraction (%s).'), $_GET['installstatus'])
+      );
+  }  
+}
+
+// +-----------------------------------------------------------------------+
+// |                     start template output                             |
+// +-----------------------------------------------------------------------+
+if ($languages->get_server_languages())
+{
+  foreach($languages->server_languages as $language)
+  {
+    list($date, ) = explode(' ', $language['revision_date']);
+
+    $url_auto_install = htmlentities($base_url)
+      . '&amp;revision=' . $language['revision_id']
+      . '&amp;pwg_token='.get_pwg_token()
+    ;
+
+    $template->append('languages', array(
+      'EXT_NAME' => $language['extension_name'],
+      'EXT_DESC' => $language['extension_description'],
+      'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$language['extension_id'],
+      'VERSION' => $language['revision_name'],
+      'VER_DESC' => $language['revision_description'],
+      'DATE' => $date,
+      'AUTHOR' => $language['author_name'],
+      'URL_INSTALL' => $url_auto_install,
+      'URL_DOWNLOAD' => $language['download_url'] . '&amp;origin=piwigo_download'));
+  }
+}
+else
+{
+  array_push($page['errors'], l10n('Can\'t connect to server.'));
+}
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'languages');
+?>
Index: /trunk/admin/themes/default/default-layout.css
===================================================================
--- /trunk/admin/themes/default/default-layout.css	(revision 5370)
+++ /trunk/admin/themes/default/default-layout.css	(revision 5371)
@@ -38,8 +38,12 @@
 
 /* Plugins, languages tables */
-TABLE.plugins { min-width: 400px; }
+TABLE.plugins,
+TABLE.languages {
+  min-width: 500px;
+}
 TABLE.plugins A { border: 0; }
 TABLE.plugins TR TD { padding: 4px 10px; }
 TABLE.plugins TR TD.pluginState { padding: 4px 16px; }
+TABLE.languages TR TD { padding: 7px 20px; }
 
 TABLE.plugins TR TD.active,
@@ -64,7 +68,4 @@
 
 TABLE.plugins ul.pluginsActions li { display: inline; }
-
-TABLE.languages  { min-width: 400px; }
-TABLE.languages TR TD { text-align: center; padding: 4px 20px; }
 
 /* categoryOrdering */
Index: /trunk/admin/themes/default/template/languages_installed.tpl
===================================================================
--- /trunk/admin/themes/default/template/languages_installed.tpl	(revision 5370)
+++ /trunk/admin/themes/default/template/languages_installed.tpl	(revision 5371)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-  <h2>{'Languages'|@translate}</h2>
+  <h2>{'Installed Languages'|@translate}</h2>
 </div>
 
@@ -13,9 +13,9 @@
 {foreach from=$languages item=language name=languages_loop}
   <tr class="{if $smarty.foreach.languages_loop.index is odd}row1{else}row2{/if}">
-    <td class="{$language.STATE}" style="text-align: left;">
+    <td class="{$language.STATE}">
       {$language.NAME}
       {if $language.IS_DEFAULT}<i>({'Default'|@translate})</i>{/if}
     </td>
-    <td>
+    <td style="text-align: center;">
     {if !$language.IS_DEFAULT}
       {if $language.STATE == 'active' or $language.STATE == 'missing'}
Index: /trunk/admin/themes/default/template/languages_new.tpl
===================================================================
--- /trunk/admin/themes/default/template/languages_new.tpl	(revision 5371)
+++ /trunk/admin/themes/default/template/languages_new.tpl	(revision 5371)
@@ -0,0 +1,40 @@
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+
+<script type="text/javascript">
+jQuery().ready(function(){ldelim}
+  jQuery('.cluetip').cluetip({ldelim}
+    width: 300,
+    splitTitle: '|'
+  });
+});
+</script>
+
+<div class="titrePage">
+  <h2>{'Add New Language'|@translate}</h2>
+</div>
+
+{if !empty($languages)}
+<table class="table2 languages">
+<thead>
+  <tr class="throw">
+    <td>{'Language'|@translate}</td>
+    <td>{'Version'|@translate}</td>
+    <td>{'Date'|@translate}</td>
+    <td>{'Author'|@translate}</td>
+    <td>{'Actions'|@translate}</td>
+  </tr>
+</thead>
+{foreach from=$languages item=language name=languages_loop}
+  <tr class="{if $smarty.foreach.languages_loop.index is odd}row1{else}row2{/if}">
+    <td><a href="{$language.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$language.EXT_NAME}|{$language.EXT_DESC|htmlspecialchars|nl2br}">{$language.EXT_NAME}</a></td>
+    <td style="text-align:center;"><a href="{$language.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$language.EXT_NAME}|{$language.VER_DESC|htmlspecialchars|nl2br}">{$language.VERSION}</a></td>
+    <td>{$language.DATE}</td>
+    <td>{$language.AUTHOR}</td>
+    <td style="text-align:center;"><a href="{$language.URL_INSTALL}">{'Install'|@translate}</a>
+      / <a href="{$language.URL_DOWNLOAD}">{'download'|@translate|@ucfirst}</a>
+    </td>
+  </tr>
+{/foreach}
+</table>
+{/if}
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5370)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5371)
@@ -753,3 +753,6 @@
 $lang['Allow user customization'] = 'Allow user customization';
 $lang['Languages'] = 'Languages';
+$lang['Installed Languages'] = 'Installed Languages';
+$lang['Add New Language'] = 'Add New Language';
+$lang['Language has been successfully installed'] = 'Language has been successfully installed';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5370)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5371)
@@ -757,3 +757,6 @@
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader signifie <em>Piwigo Uploader</em>. Depuis votre ordinateur, pLoader prépare vos photos et les transfert vers votre galerie photo Piwigo.';
 $lang['Languages'] = 'Langues';
+$lang['Installed Languages'] = 'Langues installées';
+$lang['Add New Language'] = 'Ajouter une langue';
+$lang['Language has been successfully installed'] = 'La langue a été installée avec succès';
 ?>