Index: /trunk/admin/include/functions_install.inc.php
===================================================================
--- /trunk/admin/include/functions_install.inc.php	(revision 5383)
+++ /trunk/admin/include/functions_install.inc.php	(revision 5384)
@@ -139,3 +139,20 @@
   }
 }
+
+function try_db_connection(&$infos, &$errors)
+{
+  try
+  {
+    $pwg_db_link = pwg_db_connect($_POST['dbhost'], $_POST['dbuser'], 
+                                  $_POST['dbpasswd'], $_POST['dbname']);
+ 
+    array_push( $infos, l10n('Parameters are correct') );
+    return true;
+  }
+  catch (Exception $e)
+  {
+    array_push( $errors, l10n($e->getMessage()));
+  }
+  return false;
+}
 ?>
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 5383)
+++ /trunk/install.php	(revision 5384)
@@ -25,6 +25,4 @@
 define('PHPWG_ROOT_PATH','./');
 
-include(PHPWG_ROOT_PATH . 'admin/include/functions_install.inc.php');
-
 @set_magic_quotes_runtime(0); // Disable magic_quotes_runtime
 //
@@ -183,5 +181,4 @@
 }
 
-include(PHPWG_ROOT_PATH .'include/dblayer/functions_'.$dblayer.'.inc.php');
 include(PHPWG_ROOT_PATH . 'include/constants.php');
 include(PHPWG_ROOT_PATH . 'include/functions.inc.php');
@@ -261,13 +258,11 @@
 }
 //---------------------------------------------------------------- form analyze
+include(PHPWG_ROOT_PATH .'include/dblayer/functions_'.$dblayer.'.inc.php');
+include(PHPWG_ROOT_PATH . 'admin/include/functions_install.inc.php');
+
 if ( isset( $_POST['install'] ))
 {
-  try
-  {
-    $pwg_db_link = pwg_db_connect($_POST['dbhost'], $_POST['dbuser'], 
-                                  $_POST['dbpasswd'], $_POST['dbname']);
- 
-    array_push( $infos, l10n('Parameters are correct') );
-    
+  if (try_db_connection($infos, $errors))
+  {
     $required_version = constant('REQUIRED_'.strtoupper($dblayer).'_VERSION');
     if ( version_compare(pwg_get_db_version(), $required_version, '>=') )
@@ -296,8 +291,5 @@
     }
   }
-  catch (Exception $e)
-  {
-    array_push( $errors, l10n($e->getMessage()));
-  }
+
   $webmaster = trim(preg_replace( '/\s{2,}/', ' ', $admin_name ));
   if ( empty($webmaster))
Index: /trunk/install/php5_apache_configuration.php
===================================================================
--- /trunk/install/php5_apache_configuration.php	(revision 5383)
+++ /trunk/install/php5_apache_configuration.php	(revision 5384)
@@ -80,10 +80,42 @@
 <link rel="stylesheet" type="text/css" href="admin/themes/roma/theme.css">
 <style type="text/css">
+body {
+  background:url("admin/themes/roma/images/bottom-left-bg.jpg") no-repeat fixed left bottom #111111;
+}
+
 .content {
-  width: 800px;
-  min-height: 0px !important;
-  margin: auto;
-  padding: 25px;
-  text-align: left;
+ background:url("admin/themes/roma/images/fillet.png") repeat-x scroll left top #222222;
+ width: 800px;
+ min-height: 0px !important;
+ margin: auto;
+ text-align: left;
+ padding: 25px;
+}
+
+#headbranch  {
+  background:url("admin/themes/roma/images/top-left-bg.jpg") no-repeat scroll left top transparent;
+}
+
+#theHeader {
+  display: block;
+  background:url("admin/themes/roma/images/piwigo_logo_sombre_214x100.png") no-repeat scroll 245px top transparent;
+}
+
+.content h2 {
+  display:block;
+  font-size:28px;
+  height:104px;
+  width:54%;
+  color:#666666;
+  letter-spacing:-1px;
+  margin:0 30px 3px 20px;
+  overflow:hidden;
+  position:absolute;
+  right:0;
+  text-align:right;
+  top:0;
+  width:770px;
+  text-align:right;
+  text-transform:none; 
 }
 
@@ -143,5 +175,5 @@
     <td>
       <select name="language" onchange="document.location = \''.$script.'.php?language=\'+this.options[this.selectedIndex].value;">';
-  foreach (get_languages('utf-8') as $code => $name)
+  foreach ($languages->fs_languages as $code => $name)
   {
     echo '
Index: /trunk/language/cs_CZ/iso.txt
===================================================================
--- /trunk/language/cs_CZ/iso.txt	(revision 5383)
+++ /trunk/language/cs_CZ/iso.txt	(revision 5384)
Index: /trunk/language/es_AR/iso.txt
===================================================================
--- /trunk/language/es_AR/iso.txt	(revision 5383)
+++ /trunk/language/es_AR/iso.txt	(revision 5384)