Index: /trunk/plugins/c13y_upgrade/language/nl_NL/description.txt
===================================================================
--- /trunk/plugins/c13y_upgrade/language/nl_NL/description.txt	(revision 5389)
+++ /trunk/plugins/c13y_upgrade/language/nl_NL/description.txt	(revision 5389)
@@ -0,0 +1,1 @@
+Controleer de integriteit van de upgrades.
Index: /trunk/plugins/c13y_upgrade/language/nl_NL/index.php
===================================================================
--- /trunk/plugins/c13y_upgrade/language/nl_NL/index.php	(revision 5389)
+++ /trunk/plugins/c13y_upgrade/language/nl_NL/index.php	(revision 5389)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/c13y_upgrade/language/nl_NL/plugin.lang.php
===================================================================
--- /trunk/plugins/c13y_upgrade/language/nl_NL/plugin.lang.php	(revision 5389)
+++ /trunk/plugins/c13y_upgrade/language/nl_NL/plugin.lang.php	(revision 5389)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['c13y_upgrade_no_anomaly'] = 'Geen afwijkingen geconstateerd na de applicatie-upgrade, de "Controleer upgrades" plugin is gedeactiveerd.';
+$lang['c13y_dbl_email_user'] = 'Gebruikers met hetzelfde email-adres';
+$lang['c13y_correction_dbl_email_user'] = 'Verwijder dubbele gebruikers';
+$lang['c13y_obsolete_plugin'] = 'Verouderde plugin';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" plugin is opgenomen in deze versie. U dient de plugin te verwijderen.';
+
+?>